with Ints;
use Ints;

pragma Elaborate_All (Ints);

generic

  type Scalar is private;

package MultiScalars is

  type Vector2 is array(OneTwo) of Scalar;
  type Vector3 is array(OneTwoThree) of Scalar;
  type Matrix2 is array(OneTwo,OneTwo) of Scalar;
  type Matrix3 is array(OneTwoThree,OneTwoThree) of Scalar;

end MultiScalars;
